consent
/api/v1/consent/u18/signup/guardian
POST
/api/v1/consent/u18/signup/guardian
const url = 'https://dpg.example.com/api/v1/consent/u18/signup/guardian';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"network":"example","domain":"example","email":"hello@example.com","phoneNumber":"example","dateOfBirth":"example","guardianName":"example","guardianEmail":"example","guardianPhone":"example","guardianDeclarationAccepted":true,"sameContactAcknowledged":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dpg.example.com/api/v1/consent/u18/signup/guardian \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "network": "example", "domain": "example", "email": "hello@example.com", "phoneNumber": "example", "dateOfBirth": "example", "guardianName": "example", "guardianEmail": "example", "guardianPhone": "example", "guardianDeclarationAccepted": true, "sameContactAcknowledged": true }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
network
required
string
domain
required
string
email
string format: email
phoneNumber
string
dateOfBirth
required
guardianName
required
string
guardianEmail
string
guardianPhone
string
guardianDeclarationAccepted
required
boolean
sameContactAcknowledged
boolean
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
otpSent
required
boolean
Examplegenerated
{ "otpSent": true}
